package cn.ezhizao.project.business.product.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.product.domain.BizProduct;

/**
 * 产品管理Service接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface IBizProductService extends IService<BizProduct>
{
    /**
     * 查询产品管理列表
     *
     * @param bizProduct 产品管理
     * @return 产品管理集合
     */
    List<BizProduct> getList(BizProduct bizProduct);

    List<BizProduct> getProductsForSupplier(BizProduct bizProduct);

    List<BizProduct> getProductsForOutsource(BizProduct bizProduct);

    /**
     * 物理删除
     * @param bizProduct
     * @return 删除结果
     */
    int physicalDelete(BizProduct bizProduct);
    public int getProcuctDrawing(BizProduct bizProduct);

}
